org.eclipse.actf.model.flash.as

## Class ASDeserializer

- java.lang.Object
- - org.eclipse.actf.model.flash.as.ASDeserializer

    public class ASDeserializer
    extends Object

Class for Deserializing a string in JSON notation to a Java object. Note that a property name should be quoted in JSON object notation. E.g. `{"id":123}`. In this deserializer, a JSON object is deserialized to an `ASObject` instance.

See Also:
  `ASObject`

### Constructor Summary

Constructors
Constructor and Description
`ASDeserializer(String str)` Creates an `ASDeserializer` instance.

### Method Summary

Methods
`Object` `deserialize()` Deserializes a given JSON string.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ASDeserializer

    public ASDeserializer(String str)

Creates an `ASDeserializer` instance.

Parameters:
  `str` - JSON string to be deserialized

### Method Detail

#### deserialize

    public Object deserialize()

Deserializes a given JSON string. Especially a JSON object string is deserialized to an `ASObject` instance. Note that a property name should be quoted in JSON object notation. E.g. `{"id":123}`.

Returns:
  Deserialized object.
Throws:
  `IllegalArgumentException` - when given JSON string is not in valid format.